---
title: "Articles tagged to a specific market section."
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getNewsMarketsByMarketIdSectionsBySectionId"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# Articles tagged to a specific market section.

`GET` `/api/v1.1/news/markets/{marketId}/sections/{sectionId}`

Operation ID: `getNewsMarketsByMarketIdSectionsBySectionId`

### Example ``` GET /api/v1.1/news/markets/1/sections/3?lang=1&orderBy=publish-date ```

## Path parameters

- `marketId` (integer, int32, required) - Market ID (e.g., `1`).
- `sectionId` (integer, int32, required) - Section ID.

## Query parameters

- `languageId` (integer, int32, optional) - Language id: `1` = ar, `2` = en. Defaults to `1`.
- `page` (integer, int32, optional) - Page number. Default: `1`. Defaults to `1`.
- `pageSize` (integer, int32, optional) - Records per page. Default: `30`. Defaults to `30`.
- `searchText` (string, optional) - Optional free-text filter.
- `orderBy` (string, optional) - Optional sort key (e.g., `publish-date`, `popularity`).

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/news/markets/{marketId}/sections/{sectionId}:
    get:
      tags:
        - News
      parameters:
        - name: marketId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Market ID (e.g., `1`).
          example: 3
        - name: sectionId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Section ID.
        - name: languageId
          in: query
          description: "Language id: `1` = ar, `2` = en. Defaults to `1`."
          schema:
            type: integer
            format: int32
            default: 1
          example: 2
        - name: page
          in: query
          description: "Page number. Default: `1`. Defaults to `1`."
          schema:
            type: integer
            format: int32
            default: 1
          example: 1
        - name: pageSize
          in: query
          description: "Records per page. Default: `30`. Defaults to `30`."
          schema:
            type: integer
            format: int32
            default: 30
          example: 20
        - name: searchText
          in: query
          description: Optional free-text filter.
          schema:
            type: string
        - name: orderBy
          in: query
          description: Optional sort key (e.g., `publish-date`, `popularity`).
          schema:
            type: string
      responses:
        "200":
          description: Success
      summary: Articles tagged to a specific market section.
      description: "### Example\r

        ```\r

        GET /api/v1.1/news/markets/1/sections/3?lang=1&orderBy=publish-date\r

        ```"
      operationId: getNewsMarketsByMarketIdSectionsBySectionId
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
